<?php 
class Rep_balance_model_bln extends CI_Model {
	
	function get_data($periode) {
		$date = new DateTime($periode);
		$resultM = $date->format('m');
		$resultY = $date->format('Y');
		
			
		$q = $this->db->query("select a1.tanggaltransaksi, sum(a1.besarnya) total, a1.jenis_trans from (select a.tanggaltransaksi, a.besarnya, SUBSTRING(a.no, 1, 2) as jenis_trans
			from trans_uang_keluar a, ref_list_uang_keluar b 
			where a.kodedesk = b.kodedesk 
			and a.kodesub = b.kodesub 
			and month(a.tanggaltransaksi) = '".$resultM."'
			and year(a.tanggaltransaksi)='".$resultY."'
			
            UNION ALL
            
select a.tanggaltransaksi, a.besarnya, SUBSTRING(a.no, 1, 2) as jenis_trans
			from trans_uang_masuk a, ref_list_uang_masuk b 
			where a.kodedesk = b.kodedesk 
			and a.kodesub = b.kodesub 
			and month(a.tanggaltransaksi) = '".$resultM."'
			and year(a.tanggaltransaksi)='".$resultY."') a1 GROUP BY a1.tanggaltransaksi, a1.jenis_trans  ORDER BY a1.tanggaltransaksi
		");
		
		/*
		$q = $this->db->query("select a1.tanggaltransaksi, sum(a1.besarnya) total, a1.jenis_trans from (select a.tanggaltransaksi, a.besarnya, SUBSTRING(a.no, 1, 2) as jenis_trans
			from trans_uang_keluar a where
			month(a.tanggaltransaksi) = '".$resultM."'
			and year(a.tanggaltransaksi)='".$resultY."'
			
            UNION ALL
            
select a.tanggaltransaksi, a.besarnya, SUBSTRING(a.no, 1, 2) as jenis_trans
			from trans_uang_masuk a where
			month(a.tanggaltransaksi) = '".$resultM."'
			and year(a.tanggaltransaksi)='".$resultY."') a1 GROUP BY a1.tanggaltransaksi, a1.jenis_trans  ORDER BY a1.tanggaltransaksi
		");
		*/
		return $q->result_array();
		
	}
}